GameSalad

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Global Data Protection Regulation (GDPR) & You

135

Comments

  • QwazzMeQwazzMe Posts: 38Member, PRO
    edited June 2018

    I'm trying to give users the possibility to change their consent from "yes" to "no" (and vice versa.

    I'm trying to do it with a change attribute, but it is just not working? We are not allowed to rewrite the Consent Key?

    Any one with the same issue?

  • adent42adent42 Posts: 1,316Key Master, Head Chef, Executive Chef, Member, PRO GameSalad Employee

    @QwazzMe You should be able to, what is the symptom you are seeing?

  • adent42adent42 Posts: 1,316Key Master, Head Chef, Executive Chef, Member, PRO GameSalad Employee

    1.25.RC has been promoted to 1.25 general release. So just hitting generate will be good.

    1.25 RC has been updated with better handling of ads and a fix to prevent crashes from how we polled the ad consent state. Fixes are for both iOS and Android. If you are having troubles with ads or crashing after ads, give it a shot. We will be testing it today and I'm hoping to promote it to 1.25 by Friday.

    Also, once I get some time next week, we'll soon have support for separate Admob IDs for banners and interstitials, so in theory you can run both at once. The code is in there, so we'll only need to update the publishing website.

    If you see any problems with publishing, I'll be keeping an eye out there during the day.

  • loganjan22loganjan22 Posts: 37Member, PRO

    For the GDPR update is it better to make a "yes" and "no" option or just make an accept button so they will most likely play on and the game will still have ads?

  • adent42adent42 Posts: 1,316Key Master, Head Chef, Executive Chef, Member, PRO GameSalad Employee

    FYI. Build RC has been updated. I had a rather bad bug I'm embarrassed about that would break most ad networks. If you've had problems with Build RC since yesterday, give this one a shot!

  • Triangularity GamesTriangularity Games Founder/Owner MarylandPosts: 140Member

    Should we republish our games now? Or are there still a few bug fixes coming? Sorry, I haven't kept up with this very well :/

  • DigiChainDigiChain Posts: 1,215Member, PRO

    @Triangularity Games said:
    Should we republish our games now? Or are there still a few bug fixes coming? Sorry, I haven't kept up with this very well :/

    I'm a little unsure where things are now too.
    Will publishing with 1.25.80 (the version I'm currently running with no issues) fix GDPR data gathering?
    Or do we need 1.25.88... or 1.25.92?

  • adent42adent42 Posts: 1,316Key Master, Head Chef, Executive Chef, Member, PRO GameSalad Employee

    Okay, just to clear things up, what version you publish with shouldn't matter. We map all 1.25 builds to the the most current 1.25 build.

    You will need 1.25.92 to sign the apps though, as one of the new ad networks uses a framework that needs to be signed separately, which meant we had to update our signing code.

  • adent42adent42 Posts: 1,316Key Master, Head Chef, Executive Chef, Member, PRO GameSalad Employee

    FYI for all RC is now the main build, there is no more RC (at least for now). Cheers!

  • stragstrag Posts: 533Member, PRO

    @adent42 said:
    Okay, just to clear things up, what version you publish with shouldn't matter. We map all 1.25 builds to the the most current 1.25 build.

    You will need 1.25.92 to sign the apps though, as one of the new ad networks uses a framework that needs to be signed separately, which meant we had to update our signing code.

    I currently create my apps on mac version and use the Windows version solely for signing my Android releases.

    Is signing on Windows V1.25.6227.28368 ok? As in does it still fix the GDPR data gathering issues etc?

    As some others have said, sorry if this has been covered but these threads have been quite a long haul recently!

    (By the way thanks for your hard work over the past few weeks @adent42 , much appreciated ;))

  • adent42adent42 Posts: 1,316Key Master, Head Chef, Executive Chef, Member, PRO GameSalad Employee

    @strag yes.

  • TechnaturallyTechnaturally Posts: 13Member, PRO

    @adent42 said:
    Okay, just to clear things up, what version you publish with shouldn't matter. We map all 1.25 builds to the the most current 1.25 build.

    You will need 1.25.92 to sign the apps though, as one of the new ad networks uses a framework that needs to be signed separately, which meant we had to update our signing code.

    Thanks a lot for your huge efforts to get this all sorted!

    I'm confused about your statement about signing needing to be 1.25.92 though. I'm using Mac GameSalad Creator, and it says the latest version is 1.25.91 when I use 'check for updates'. Do I need to get .92 and if so, how can I do that?

    I want to publish a major update to my game in the next few days, both on iOS and for the first time on Android/Google Play.
    Has the GDPR stuff all been fixed for Android now too? Reading through the thread it wasn't clear to me (sorry if I missed a statement about that somewhere). I think it would be a good idea to post a new thread summarising the current state for everyone, if you don't mind.

    Regards,
    John

  • DigiChainDigiChain Posts: 1,215Member, PRO

    @Technaturally said:
    I'm confused about your statement about signing needing to be 1.25.92 though. I'm using Mac GameSalad Creator, and it says the latest version is 1.25.91 when I use 'check for updates'. Do I need to get .92 and if so, how can I do that?

    I'm still unsure which version to use too, and why there are so many floating around now.

    The latest version for download on the website is 1.25.88
    The latest version when checking for updates is 1.25.91

    Is it recommended that we build our games and publish with an earlier version, then open a later version to download and sign the game?
    And if so why is this?... are there still game breaking bugs in the later versions making them unsuitable for production?

    Also, if publishing games without ads are we fine to publish & sign with an earlier version (such as 1.25.80) as we are not needing the updated ad framework?

  • TechnaturallyTechnaturally Posts: 13Member, PRO

    @DigiChain said:
    Also, if publishing games without ads are we fine to publish & sign with an earlier version (such as 1.25.80) as we are not needing the updated ad framework?

    I'm pretty sure the answer to that question is 'no', since the main game engine tracks users by itself until a recent update, so any GameSalad game is breaking the new GDPR law in the EU unless you get the EU player's permission that they agree to be tracked (but if they disagree and you're using an older version of GameSalad, you would have to prevent them from playing the game at all - whereas with the new version you'd just have to set the attribute that indicates that they don't agree to being tracked.

  • adent42adent42 Posts: 1,316Key Master, Head Chef, Executive Chef, Member, PRO GameSalad Employee

    @Technaturally you right. If we had our own tracking in the engine it would be a non-issue, since we could just have the servers dump all info to /dev/null. Unfortunately, we used Google Analytics, and you have to signal that you want "anonymous" track on the client side. So you do need to update!

  • adent42adent42 Posts: 1,316Key Master, Head Chef, Executive Chef, Member, PRO GameSalad Employee

    @DigiChain

    A few weeks ago when we were about to release 1.25.92, I was hoping to hold off until I could work out all the bugs, but then GDPR happened. So now we have a slightly broken 1.25.92 (vs a very broken 1.25.91).

    I had been passing 1.25.92 around as a link in various forum posts, but didn't release it through the update channel. I'm about to push 1.25.92 to the update channel with a release note with all the caveats.

    1) Develop with 1.25.88 if 1.25.92 doesn't work for you (1.25.92 mostly works, but there are some navigation paths where the image library disappears unexpectedly like in 1.25.91). If you don't use those paths naturally, 1.25.92 should be okay, but if you keep seeing missing images, then you should go back to 1.25.88.

    2) 1.25.92 is definitely what you should download/sign with. Some of the upgraded ad networks require use Apple's Framework system, which is their version of dynamic libraries. Unfortunately, it means you have to sign the libraries and 1.25.88 is not set up to do that. Sooo... 1.25.92 does it correctly (1.25.91 does it incorrectly).

    3) @Technaturally both Android and iOS are up-to-date in terms of GDPR.

  • TechnaturallyTechnaturally Posts: 13Member, PRO

    @adent42 said:
    @DigiChain

    A few weeks ago when we were about to release 1.25.92, I was hoping to hold off until I could work out all the bugs, but then GDPR happened. So now we have a slightly broken 1.25.92 (vs a very broken 1.25.91).

    I had been passing 1.25.92 around as a link in various forum posts, but didn't release it through the update channel. I'm about to push 1.25.92 to the update channel with a release note with all the caveats.

    1) Develop with 1.25.88 if 1.25.92 doesn't work for you (1.25.92 mostly works, but there are some navigation paths where the image library disappears unexpectedly like in 1.25.91). If you don't use those paths naturally, 1.25.92 should be okay, but if you keep seeing missing images, then you should go back to 1.25.88.

    2) 1.25.92 is definitely what you should download/sign with. Some of the upgraded ad networks require use Apple's Framework system, which is their version of dynamic libraries. Unfortunately, it means you have to sign the libraries and 1.25.88 is not set up to do that. Sooo... 1.25.92 does it correctly (1.25.91 does it incorrectly).

    3) @Technaturally both Android and iOS are up-to-date in terms of GDPR.

    Thanks a lot for your answers. I'm keen to get .92 as soon as possible, so I'll keep checking for updates.

    .91 has been working fine for me apart from a few minor cosmetic glitches in the creator (not in my game) from time-to-time.

    Great to hear that Android is also up-to-date, I'll go ahead and get publishing there too as soon as I get my hands on .92 of the Creator software!

  • DigiChainDigiChain Posts: 1,215Member, PRO

    @adent42 Thanks for clarifying. The update link (within GS) is still pointing to 1.25.91 though.

    Can you tell us of any specific navigation paths we should avoid then so as not break the image library and allow us to use 1.25.92 for production?

  • adent42adent42 Posts: 1,316Key Master, Head Chef, Executive Chef, Member, PRO GameSalad Employee

    @DigiChain it should be updated now!

  • CasualEvolutionCasualEvolution Posts: 411Member, PRO

    Hi @adent42 and @ForumNinja I have one question: is possible using device-region info to get GDPR consent only from your users in the Europe region? and not bother the others users? Thanks

  • Twayne2Twayne2 Posts: 351Member, PRO

    Does this effect anything PC related?

  • adent42adent42 Posts: 1,316Key Master, Head Chef, Executive Chef, Member, PRO GameSalad Employee

    @CasualEvolution I don't know, you'd need to make you own judgement call as to whether it's enough info.

    @Twayne2 nope-ish? The tool hasn't changed, just the app binaries. So if you're a stickler for following these laws, you would need re-generate your apps and resubmit them and follow the provided instructions.

  • DigiChainDigiChain Posts: 1,215Member, PRO

    @adent42 I'm now using 1.25.92 for production and signing of apps (download from link on the forum pages).
    I've noticed that the gamesalad publishing portal is stating: Last upload on xxx from Gamesalad Creator 1.25.91 though. Is this just some meta-data error? - or am I not running the latest version despite it showing as 1.25.92 when checking through the About Gamesalad tab?

  • adent42adent42 Posts: 1,316Key Master, Head Chef, Executive Chef, Member, PRO GameSalad Employee

    It's a config error since I hurried to get 1.25.92 out. It's fine.

  • adent42adent42 Posts: 1,316Key Master, Head Chef, Executive Chef, Member, PRO GameSalad Employee

    FYI when we generate apps we only care about the major/minor versions. So as long as you publish with a 1.25.x you're good in terms of what is generated. You just need 1.25.92 when you download and sign.

  • DigiChainDigiChain Posts: 1,215Member, PRO

    @adent42 Great, thanks.

  • Triangularity GamesTriangularity Games Founder/Owner MarylandPosts: 140Member
    edited June 2018

    It still seems like there are bugs...I have done some publishing, and some of my games get stuck loading, but they game is still playable, some games are not. And some games are missing some sounds. Is this something on my end or are there still fixes coming?

    Edit: I have done some testing, and 3 out of my 8 republished games are bugging out, but in different ways. One just completely gets stuck. The game loads in past the splash screen, but then you are stuck on the main menu scene forever. If you click the play button, the scene wont change. Plus the music and sound is messed up too. The other two games work as intended. However, one is simply missing sound effects, and the other wont save the users sound/music on/off preferences. For example, if they dont want either, that would usually save and return when they reopened the game. All of these things were working in the previous build. All I added was the GDPR scene, and I did some testing too. The game works in Gamesalad, and in the GS viewer. Hopefully easy fixes, but any help/advice would be greatly appreciated. Thanks!

  • adent42adent42 Posts: 1,316Key Master, Head Chef, Executive Chef, Member, PRO GameSalad Employee

    @Triangularity Games PM me a publishing link to one of the broken games and I'll take a look if I have time this weekend (or on Monday)

  • 8BitAvrin8BitAvrin Posts: 361Member, PRO
    edited June 2018

    @adent42 hold on, I was generating, publishing, & signing with the release candidate which was before 1.25.92 weeks ago because it was stated that was needed for GDPR for apps with ads & without ads, but now it seems like you’re saying that wasn’t completely true. Do I have to go back and do that all again with version 1.25.92 now?

    WebsiteTwitter ∞ My apps are available on: Apple iOS App StoreGoogle Play App StoreAmazon App Store

  • adent42adent42 Posts: 1,316Key Master, Head Chef, Executive Chef, Member, PRO GameSalad Employee

    @8BitAvrin you no longer need the RC for GDPR. It's fine now.

    RC is now:

    Android: a fix for CPU usage while the app in the background (PARTIAL_WAKE_LOCK).
    iOS: A fix for revmob crashing.

Sign In or Register to comment.